Debian Bug report logs - #665318
ITP: faac -- AAC audio encoder

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andres Mejia <amejia004@gmail.com>

Date: Fri, 23 Mar 2012 01:00:01 UTC

Owned by: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>

Severity: wishlist

Done: Mònica Ramírez Arceda <monica@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org, wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#665318; Package wnpp. (Fri, 23 Mar 2012 01:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <amejia004@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org, wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Fri, 23 Mar 2012 01:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia004@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: faac -- AAC audio encoder
Date: Thu, 22 Mar 2012 20:56:15 -0400
Package: wnpp
Severity: wishlist
Owner: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>

* Package name    : faac
  Version         : 1.28
  Upstream Author : Menno Bakker <menno@audiocoding.com>
* URL             : http://www.audiocoding.com/
* License         : GPL, LGPL, BSD, other
  Programming Lang: C, C++
  Description     : AAC audio encoder

The FAAC project includes the AAC encoder FAAC and decoder FAAD2. It supports
several MPEG-4 object types (LC, Main, LTP, HE AAC, PS) and file formats
(ADTS AAC, raw AAC, MP4), multichannel and gapless en/decoding as well as MP4
metadata tags. The codecs are compatible with standard-compliant audio
applications using one or more of these profiles.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 23 Mar 2012 07:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#665318; Package wnpp. (Sun, 03 Jun 2012 17:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 03 Jun 2012 17:54:05 GMT) Full text and rfc822 format available.

Message #12 received at 665318@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: 665318@bugs.debian.org
Subject: Re: Bug #665318 ITP: faac -- AAC audio encoder
Date: Mon, 4 Jun 2012 01:49:48 +0800
What's the status of this package? ITP has been tagged as pending for
two months but I find no reference later.

-- 
Regards,
Aron Xu




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#665318; Package wnpp. (Mon, 04 Jun 2012 07:30:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 04 Jun 2012 07:30:17 GMT) Full text and rfc822 format available.

Message #17 received at 665318@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Aron Xu <happyaron.xu@gmail.com>, 665318@bugs.debian.org
Subject: Re: Bug#665318: Bug #665318 ITP: faac -- AAC audio encoder
Date: Mon, 04 Jun 2012 09:31:49 +0200
Am 03.06.2012 19:49, schrieb Aron Xu:
> What's the status of this package? ITP has been tagged as pending for
> two months but I find no reference later.

It has been rejected, see:
<http://lists.alioth.debian.org/pipermail/pkg-multimedia-maintainers/2012-March/025613.html>

 - Fabian





Removed tag(s) pending. Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Sat, 29 Sep 2012 16:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#665318; Package wnpp. (Wed, 17 Oct 2012 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bob Bib <bobbibmpn@mail.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 17 Oct 2012 16:39:03 GMT) Full text and rfc822 format available.

Message #24 received at 665318@bugs.debian.org (full text, mbox):

From: Bob Bib <bobbibmpn@mail.ru>
To: Debian Bug Tracking System <665318@bugs.debian.org>
Subject: Re: ITP: faac -- AAC audio encoder
Date: Wed, 17 Oct 2012 19:37:46 +0300
Package: wnpp
Followup-For: Bug #665318

This package has been rejected by ftpmaster as violating Debian patents policy,
but has the issue been reviewed by the Debain patent expert person, as
described in the policy statements?

http://www.debian.org/legal/patent
> 5. All communication related to specific patent risk should be directed to
patents@debian.org, which is maintained under the rules of attorney-client
privilege.
> The risk will be evaluated and any necessary response will be made directly
to affected parties.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#665318; Package wnpp. (Thu, 18 Oct 2012 07:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 18 Oct 2012 07:12:04 GMT) Full text and rfc822 format available.

Message #29 received at 665318@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Bob Bib <bobbibmpn@mail.ru>, 665318@bugs.debian.org
Cc: patents@debian.org, Debian FTP Masters <ftpmaster@ftp-master.debian.org>
Subject: Re: Bug#665318: ITP: faac -- AAC audio encoder
Date: Thu, 18 Oct 2012 09:13:06 +0200
Am 17.10.2012 18:37, schrieb Bob Bib:
> This package has been rejected by ftpmaster as violating Debian patents policy,
> but has the issue been reviewed by the Debain patent expert person, as
> described in the policy statements?

Good question, but honestly I don't know the answer.

Let's play the ball over to ftp-master.

 - Fabian

> http://www.debian.org/legal/patent
>> 5. All communication related to specific patent risk should be directed to
> patents@debian.org, which is maintained under the rules of attorney-client
> privilege.
>> The risk will be evaluated and any necessary response will be made directly
> to affected parties.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#665318; Package wnpp. (Thu, 18 Oct 2012 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 18 Oct 2012 08:27:03 GMT) Full text and rfc822 format available.

Message #34 received at 665318@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Bob Bib <bobbibmpn@mail.ru>, 665318@bugs.debian.org, patents@debian.org, Debian FTP Masters <ftpmaster@ftp-master.debian.org>
Subject: Re: Bug#665318: ITP: faac -- AAC audio encoder
Date: Thu, 18 Oct 2012 10:23:29 +0200
[Message part 1 (text/plain, inline)]
On Thu, Oct 18, 2012 at 09:13:06AM +0200, Fabian Greffrath wrote:
> Am 17.10.2012 18:37, schrieb Bob Bib:
> >This package has been rejected by ftpmaster as violating Debian patents policy,
> >but has the issue been reviewed by the Debain patent expert person, as
> >described in the policy statements?
> 
> Good question, but honestly I don't know the answer.

The fact that "it may infringe existing patents" is not, per se, against
the patent policy. In fact, that statement is true for every package in
the archive: *alleged* sowftware patent violations can be found in
almost any piece of software out there.

Luca, can you please reconsider?
-- 
Stefano Zacchiroli  . . . . . . .  zack@upsilon.cc . . . . o . . . o . o
Maître de conférences . . . . . http://upsilon.cc/zack . . . o . . . o o
Debian Project Leader . . . . . . @zack on identi.ca . . o o o . . . o .
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#665318; Package wnpp. (Fri, 21 Jun 2013 09:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Fri, 21 Jun 2013 09:15:09 GMT) Full text and rfc822 format available.

Message #39 received at 665318@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Stefano Zacchiroli <leader@debian.org>
Cc: Bob Bib <bobbibmpn@mail.ru>, 665318@bugs.debian.org, patents@debian.org, Debian FTP Masters <ftpmaster@ftp-master.debian.org>
Subject: Re: Bug#665318: ITP: faac -- AAC audio encoder
Date: Fri, 21 Jun 2013 11:10:10 +0200
Dear folks,

Am 18.10.2012 10:23, schrieb Stefano Zacchiroli:
> The fact that "it may infringe existing patents" is not, per se, against
> the patent policy. In fact, that statement is true for every package in
> the archive: *alleged* sowftware patent violations can be found in
> almost any piece of software out there.
>
> Luca, can you please reconsider?

should we try again to get faac into Debian?

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#665318; Package wnpp. (Fri, 21 Jun 2013 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bob Bib <bobbibmpn@mail.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Fri, 21 Jun 2013 16:15:04 GMT) Full text and rfc822 format available.

Message #44 received at 665318@bugs.debian.org (full text, mbox):

From: Bob Bib <bobbibmpn@mail.ru>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Andres Mejia <amejia004@gmail.com>, Stefano Zacchiroli <zack@debian.org>, DPL <leader@debian.org>, patents@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>, Debian FTP Masters <ftpmaster@debian.org>, 665318@bugs.debian.org
Subject: Re: Bug#665318: ITP: faac -- AAC audio encoder
Date: Fri, 21 Jun 2013 20:11:36 +0400
Friday, 21 June 2013, 11:10 +02:00 from Fabian Greffrath:
> Dear folks,
> ...
> should we try again to get faac into Debian?

IMHO, yes, we should try...
Some other software would benefit from it,
e. g. Dream (a software Digital Radio Mondiale (DRM), see ITP wnpp bug#691685) can use it for transmitting purposes.

By the way, Lucas Nussbaum <lucas@debian.org> is the current DPL <leader@debian.org>,
so we should probably use another address to contact Stefano Zacchiroli <zack@debian.org> ;)

----
Best wishes, Bob

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#665318; Package wnpp. (Sat, 22 Jun 2013 14:05:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 22 Jun 2013 14:05:16 GMT) Full text and rfc822 format available.

Message #49 received at 665318@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Fabian Greffrath <fabian@greffrath.com>, 665318@bugs.debian.org
Subject: Re: Bug#665318: ITP: faac -- AAC audio encoder
Date: Sat, 22 Jun 2013 16:01:08 +0200
On Fri, Jun 21, 2013 at 11:10 AM, Fabian Greffrath <fabian@greffrath.com> wrote:
> Dear folks,
>
> Am 18.10.2012 10:23, schrieb Stefano Zacchiroli:
>
>> The fact that "it may infringe existing patents" is not, per se, against
>> the patent policy. In fact, that statement is true for every package in
>> the archive: *alleged* sowftware patent violations can be found in
>> almost any piece of software out there.
>>
>> Luca, can you please reconsider?
>
>
> should we try again to get faac into Debian?

I've now polished the package a bit and uploaded it to NEW. Let's see
what happens.

-- 
regards,
    Reinhard



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#665318; Package wnpp. (Sun, 23 Jun 2013 20:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 23 Jun 2013 20:03:07 GMT) Full text and rfc822 format available.

Message #54 received at 665318@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Reinhard Tartler <siretart@gmail.com>, 665318@bugs.debian.org
Subject: Re: Bug#665318: ITP: faac -- AAC audio encoder
Date: Sun, 23 Jun 2013 21:58:56 +0200
Am Samstag, den 22.06.2013, 16:01 +0200 schrieb Reinhard Tartler:
> I've now polished the package a bit and uploaded it to NEW. Let's see
> what happens.

Thanks, Reinhard! Could you please "git push --tags"? ;)

 - Fabian





Reply sent to Mònica Ramírez Arceda <monica@debian.org>:
You have taken responsibility. (Tue, 30 Jul 2013 07:12:08 GMT) Full text and rfc822 format available.

Notification sent to Andres Mejia <amejia004@gmail.com>:
Bug acknowledged by developer. (Tue, 30 Jul 2013 07:12:08 GMT) Full text and rfc822 format available.

Message #59 received at 665318-close@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@debian.org>
To: 665318-close@bugs.debian.org
Subject: bug 665318 is ITP for package faac already in Debian
Date: Tue, 30 Jul 2013 09:04:50 +0200
Hi,

I'm closing this bug because this package is already in Debian: http://packages.qa.debian.org/faac

Regards.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Aug 2013 07:28:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:46:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.